function init()
	-- NAME & GRAPHIC --
	c.name = "Asteroid7"
	c.gfxFile = "asteroid6.png"
	
	-- STATS --
	c.mass = 40
	c.stat.maxSpeed = 60--120
	c.stat.thrust = 0
	c.stat.armour = 5
	
	c.invulnerable = 1

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- PRESET COMPONENTS --
	
	-- MISC --
	--c.ignoreShipCollisions = 1
	--c.setExplodeSound("explode_rock.wav")
	c.emitFX = 0
	c.explodeShake = 1
	c.behavior = "inert2"
	c.material = 1--rock debris
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 20	--from map_icons.png, which frame to use.
	return 0
end